#ifndef _CLUCP_COMMON_H
#define _CLUCP_COMMON_H

#include <sys/types.h>
#include "corosync/cfg.h"

#define VERSION "0.1"
#define GROUPNAME "clucp"

/* make_node_addresses() */
#define MAX_NODE_ADDRESSES 16
/* 40 = strlen of ipv6 addr */
#define NODE_ADDRESSES_BUFFER_SIZE (40 * MAX_NODE_ADDRESSES)

#define OP_OK 0
#define OP_ERR 1
#define OP_PUSH 2

struct header {
  unsigned char opcode;
  mode_t mode;
  uid_t uid;
  gid_t gid;
};

char *cs_error_to_string (cs_error_t error);
void make_node_addresses (corosync_cfg_handle_t cfg_handle, int nodeid,
                          char *buffer, size_t buffer_size);

#endif // _CLUCP_COMMON_H
